Wrong node-count in bay-list

Bug #1465097 reported by Madhuri Kumari on 2015-06-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Magnum
Fix Released
Medium
Madhuri Kumari
python-magnumclient
Undecided
Yang Hongyang

Bug Description

When user creates a bay without passing node-count, the default node-count is 1 which means 1 Kubernetes master and 1 Kubernetes minion node is created. But the bay-list shows node-count as 'None' which is wrong.

$ magnum bay-list
+--------------------------------------+------+------------+-----------------+
| uuid | name | node_count | status |
+--------------------------------------+------+------------+-----------------+
| 7d59afb0-1c24-4cae-93fc-4692f5438d34 | bay1 | 2 | DELETE_FAILED |
| d377b100-4c56-4a53-a336-c1456ccfcdb8 | bay1 | None | CREATE_COMPLETE |
+--------------------------------------+------+------------+-----------------+

$ nova list
+--------------------------------------+-------------------------------------------------------+--------+------------+-------------+----------------------------------------------------------------------+
| ID | Name | Status | Task State | Power State | Networks |
+--------------------------------------+-------------------------------------------------------+--------+------------+-------------+----------------------------------------------------------------------+
| 367501bb-605a-4271-a8a2-ed38b1dc63d5 | ba-wgqozpawpe-0-cqt7qntuzzhp-kube_minion-qljvfzjl234k | ACTIVE | - | Running | bay1-n4c2yektmnbx-fixed_network-4utw43vfzorf=10.0.0.4, 192.168.19.93 |
| ce01bebd-ea44-450c-94f4-767b5402cf77 | bay1-n4c2yektmnbx-kube_master-a4zivbzjpw3d | ACTIVE | - | Running | bay1-n4c2yektmnbx-fixed_network-4utw43vfzorf=10.0.0.3, 192.168.19.92 |
+--------------------------------------+-------------------------------------------------------+--------+------------+-------------+----------------------------------------------------------------------+

The node_count should display 1

Changed in magnum:
importance: Undecided → Medium
assignee: nobody → Madhuri Kumari (madhuri-rai07)
milestone: none → liberty-1
Steven Dake (sdake) on 2015-06-30
Changed in magnum:
milestone: liberty-1 → liberty-2
Surojit Pathak (suro-patz) wrote :

Madhuri,
If you have not started working on this bug, please let me know if I can start working on this.

Regards,
suro

Madhuri Kumari (madhuri-rai07) wrote :

Hi Surojit,

I had fix for this bug but there is bug in wsme due to which we can't set default value, that's why I haven't committed the fix yet.

wsme bug link: https://bugs.launchpad.net/wsme/+bug/1227039

Fix proposed to branch: master
Review: https://review.openstack.org/207257

Changed in magnum:
status: New → In Progress

Reviewed: https://review.openstack.org/207257
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=c9e251cba40d5190684e6891873a11e325e3ec6a
Submitter: Jenkins
Branch: master

commit c9e251cba40d5190684e6891873a11e325e3ec6a
Author: Surojit Pathak <email address hidden>
Date: Mon Aug 3 18:36:41 2015 +0000

    Set default node_count to 1.

    When user creates a bay without passing node-count, the default node-count
    is 1 which means one bay-master and one bay-node is created.
    But the bay-list shows node-count as 'None' which is wrong.
    So this patch sets default node_count to 1.

    Change-Id: I91a1903cec38fdae08a75d5b364640dab41a9e72
    Closes-bug: #1465097

Changed in magnum:
status: In Progress → Fix Committed
Adrian Otto (aotto) on 2015-11-24
Changed in magnum:
status: Fix Committed → Fix Released
Yang Hongyang (hongyang-yang) wrote :

This is because client passes node_count=None to magnum api, we should fix magnum client.

Changed in python-magnumclient:
assignee: nobody → Yang Hongyang (hongyang-yang)

Fix proposed to branch: master
Review: https://review.openstack.org/252772

Changed in python-magnumclient:
status: New → In Progress

Reviewed: https://review.openstack.org/253312
Committed: https://git.openstack.org/cgit/openstack/python-magnumclient/commit/?id=e3a796aae6ab80927c03e35c3838fca64056cc07
Submitter: Jenkins
Branch: master

commit e3a796aae6ab80927c03e35c3838fca64056cc07
Author: Yang Hongyang <email address hidden>
Date: Fri Dec 4 12:03:13 2015 +0800

    Improve client node_count validation

    Currently client rely node_count validation on server side,
    this is not good, the patch fix this.
    Also make node_count default to 1.
    Add invalid --node-count test.

    Change-Id: I21109682358e125ae99326978eee73e09db476ba
    Closes-Bug: #1522668
    Related-Bug: #1465097
    (cherry picked from commit 9e52d59148edd734f954dc69bcd72625e595e579)

Change abandoned by Yang Hongyang (<email address hidden>) on branch: master
Review: https://review.openstack.org/252772
Reason: no longer needed

Reviewed: https://review.openstack.org/252779
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=2b171dfa880be97d3fd9bc02fdfc356d02b75407
Submitter: Jenkins
Branch: master

commit 2b171dfa880be97d3fd9bc02fdfc356d02b75407
Author: Yang Hongyang <email address hidden>
Date: Thu Dec 3 14:45:03 2015 +0800

    Remove unnecessary setting of default node_count

    Wsme 0.8.0 has set node_count's default value when node_count is
    ommitted.

    Change-Id: Iac4115974ef4a887f7c01b8ab7934d8d3d5ac07a
    Related-Bug: #1465097

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers